initramfs-tools/hooks/udev for network *.link really sucks

Bug #1868892 reported by Jens Elkner on 2020-03-24
14
This bug affects 1 person
Affects Status Importance Assigned to Milestone
systemd (Ubuntu)
Low
Dan Streetman
Xenial
Low
Dan Streetman
Bionic
Low
Dan Streetman
Eoan
Low
Dan Streetman
Focal
Low
Dan Streetman

Bug Description

[impact]

If the /{etc,lib}/systemd/network directory itself is a symlink, the find
command will not actually find any of the files in the dir it links to.

[test case]

$ sudo touch /etc/systemd/network/lp1868892.link
$ sudo update-initramfs -u
update-initramfs: Generating /boot/initrd.img-5.4.0-21-generic
...
$ sudo lsinitramfs /boot/initrd.img-5.4.0-21-generic | grep lp1868892
usr/lib/systemd/network/lp1868892.link
$ sudo mv /etc/systemd/network /etc/systemd/network.abc
$ sudo ln -s network.abc /etc/systemd/network
$ sudo update-initramfs -u
$ sudo lsinitramfs /boot/initrd.img-5.4.0-21-generic | grep lp1868892
$

[regression potential]

this adjusts how link files are included in the initramfs, so regressions would likely occur when creating new initramfs, such as failure to create initramfs at all, or failure to properly copy link files into the initramfs, causing network setup failure.

[scope]

this is a Debian/Ubuntu specific file, and the Debian MR was just opened, so this is needed for Debian and all releases of Ubuntu.

[other info]

This bug likely has a very limited impact, as it is uncommon to symlink either the /lib/systemd/network or /etc/systemd/network dirs.

[original description]

If one creates e.g. /etc/systemd/network.cu and /etc/systemd/network.fc and symlinks /etc/systemd/network to one of them, network setup will fail on reboot, because /usr/share/initramfs-tools/hooks/udev does a very poor job: it simply checks for a directory instead of the link files and therefore skips copying required files to the ram image. Another poor job is done when copying the files to the ram image: instead of following symlinks it copies them as which in turn makes them useless, because it does not copy the related dirs and thus the symlinks point to nothing. So keeping the system in an consistent state which such poor scripts is very hard, asking for trouble.

Suggested fix is attached.

Related branches

Jens Elkner (jelmd) wrote :

The attachment "/usr/share/initramfs-tools/hooks/udev patch" seems to be a patch. If it isn't, please remove the "patch" flag from the attachment, remove the "patch" tag, and if you are a member of the ~ubuntu-reviewers, unsubscribe the team.

[This is an automated message performed by a Launchpad user owned by ~brian-murray, for any issues please contact him.]

tags: added: patch
Dan Streetman (ddstreet) wrote :
Changed in systemd (Ubuntu Xenial):
status: New → In Progress
Changed in systemd (Ubuntu Eoan):
status: New → In Progress
importance: Undecided → Low
Changed in systemd (Ubuntu Xenial):
assignee: nobody → Dan Streetman (ddstreet)
Changed in systemd (Ubuntu Eoan):
assignee: nobody → Dan Streetman (ddstreet)
Changed in systemd (Ubuntu Focal):
assignee: nobody → Dan Streetman (ddstreet)
Changed in systemd (Ubuntu Bionic):
assignee: nobody → Dan Streetman (ddstreet)
Changed in systemd (Ubuntu Focal):
importance: Undecided → Low
Changed in systemd (Ubuntu Xenial):
importance: Undecided → Low
Changed in systemd (Ubuntu Bionic):
importance: Undecided → Low
Changed in systemd (Ubuntu Focal):
status: New → In Progress
Changed in systemd (Ubuntu Bionic):
status: New → In Progress
Dan Streetman (ddstreet) on 2020-04-14
description: updated
tags: added: ddstreet
Łukasz Zemczak (sil2100) wrote :

What is the state of this in focal/groovy? Since I see it as 'In Progress' in focal. From what I see it has been merged in 245.5, right? Focal/groovy seem to be on 245.4. Could we get this fix released to both of those series?

Balint Reczey (rbalint) wrote :

@sil2100 The Debian MR landed and I'm fixing it in groovy with the next merge - currently being tested in Bileto. https://bileto.ubuntu.com/#/ticket/3801

Łukasz Zemczak (sil2100) wrote :

Right, thanks! I also talked with Dan to make sure this change gets backported to focal as well. I won't block on that as the systemd uploads for eoan/bionic/xenial are long overdue, but Dan will make sure this is not forgotten.

Hello Jens, or anyone else affected,

Accepted systemd into eoan-proposed. The package will build now and be available at https://launchpad.net/ubuntu/+source/systemd/242-7ubuntu3.8 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation on how to enable and use -proposed. Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested, what testing has been performed on the package and change the tag from verification-needed-eoan to verification-done-eoan. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed-eoan. In either case, without details of your testing we will not be able to proceed.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance for helping!

N.B. The updated package will be released to -updates after the bug(s) fixed by this package have been verified and the package has been in -proposed for a minimum of 7 days.

Changed in systemd (Ubuntu Eoan):
status: In Progress → Fix Committed
tags: added: verification-needed verification-needed-eoan
Łukasz Zemczak (sil2100) wrote :

Hello Jens, or anyone else affected,

Accepted systemd into bionic-proposed. The package will build now and be available at https://launchpad.net/ubuntu/+source/systemd/237-3ubuntu10.40 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation on how to enable and use -proposed. Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested, what testing has been performed on the package and change the tag from verification-needed-bionic to verification-done-bionic. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed-bionic. In either case, without details of your testing we will not be able to proceed.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance for helping!

N.B. The updated package will be released to -updates after the bug(s) fixed by this package have been verified and the package has been in -proposed for a minimum of 7 days.

Changed in systemd (Ubuntu Bionic):
status: In Progress → Fix Committed
tags: added: verification-needed-bionic
Jens Elkner (jelmd) wrote :

Łukasz Zemczak, yes, upgraded a machine from bionic to focal - same problem. However, the patch looks not optimal but sufficient.

All autopkgtests for the newly accepted systemd (242-7ubuntu3.8) for eoan have finished running.
The following regressions have been reported in tests triggered by the package:

systemd/242-7ubuntu3.8 (ppc64el)
prometheus-postgres-exporter/unknown (armhf)
gnome-desktop3/3.34.2-2ubuntu1~19.10.1 (armhf)
openssh/1:8.0p1-6build1 (s390x, i386, ppc64el, arm64, armhf, amd64)
snapd/2.42.1+19.10 (i386)
udisks2/unknown (armhf)
umockdev/0.13.2-1 (armhf)
sks/unknown (armhf)
network-manager/1.20.4-2ubuntu2.2 (ppc64el, arm64)
asterisk/unknown (armhf)
logrotate/unknown (armhf)
lxc/3.0.4-0ubuntu1 (i386)
netplan.io/0.98-0ubuntu1 (amd64)
dbus/unknown (armhf)
gvfs/1.42.1-1ubuntu1 (arm64)

Please visit the excuses page listed below and investigate the failures, proceeding afterwards as per the StableReleaseUpdates policy regarding autopkgtest regressions [1].

https://people.canonical.com/~ubuntu-archive/proposed-migration/eoan/update_excuses.html#systemd

[1] https://wiki.ubuntu.com/StableReleaseUpdates#Autopkgtest_Regressions

Thank you!

All autopkgtests for the newly accepted systemd (237-3ubuntu10.40) for bionic have finished running.
The following regressions have been reported in tests triggered by the package:

gvfs/1.36.1-0ubuntu1.3.3 (amd64)
prometheus-postgres-exporter/unknown (armhf)
systemd/237-3ubuntu10.40 (i386, ppc64el)
umockdev/0.11.1-1 (armhf)
linux-hwe-5.0/5.0.0-47.51~18.04.1 (armhf)
kde4libs/4:4.14.38-0ubuntu3.1 (armhf)
util-linux/unknown (armhf)
nftables/unknown (armhf)
linux-raspi2-5.3/5.3.0-1023.25~18.04.1 (armhf)
netplan.io/0.98-0ubuntu1~18.04.1 (i386)
openssh/1:7.6p1-4ubuntu0.3 (arm64, i386, armhf, ppc64el, s390x, amd64)

Please visit the excuses page listed below and investigate the failures, proceeding afterwards as per the StableReleaseUpdates policy regarding autopkgtest regressions [1].

https://people.canonical.com/~ubuntu-archive/proposed-migration/bionic/update_excuses.html#systemd

[1] https://wiki.ubuntu.com/StableReleaseUpdates#Autopkgtest_Regressions

Thank you!

Hello Jens, or anyone else affected,

Accepted systemd into xenial-proposed. The package will build now and be available at https://launchpad.net/ubuntu/+source/systemd/229-4ubuntu21.28 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation on how to enable and use -proposed. Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested, what testing has been performed on the package and change the tag from verification-needed-xenial to verification-done-xenial. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed-xenial. In either case, without details of your testing we will not be able to proceed.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance for helping!

N.B. The updated package will be released to -updates after the bug(s) fixed by this package have been verified and the package has been in -proposed for a minimum of 7 days.

Changed in systemd (Ubuntu Xenial):
status: In Progress → Fix Committed
tags: added: verification-needed-xenial

All autopkgtests for the newly accepted systemd (229-4ubuntu21.28) for xenial have finished running.
The following regressions have been reported in tests triggered by the package:

udisks2/2.1.7-1ubuntu1 (amd64)
multipath-tools/0.5.0+git1.656f8865-5ubuntu2.5 (armhf)
nplan/0.32~16.04.7 (amd64)

Please visit the excuses page listed below and investigate the failures, proceeding afterwards as per the StableReleaseUpdates policy regarding autopkgtest regressions [1].

https://people.canonical.com/~ubuntu-archive/proposed-migration/xenial/update_excuses.html#systemd

[1] https://wiki.ubuntu.com/StableReleaseUpdates#Autopkgtest_Regressions

Thank you!

Dan Streetman (ddstreet) wrote :

xenial:

ubuntu@sv-x:~$ dpkg -l systemd|grep systemd
ii systemd 229-4ubuntu21.27 amd64 system and service manager

ubuntu@sv-x:~$ sudo touch /etc/systemd/network/lp1868892.link
ubuntu@sv-x:~$ sudo update-initramfs -u
update-initramfs: Generating /boot/initrd.img-4.4.0-178-generic
W: mdadm: /etc/mdadm/mdadm.conf defines no arrays.
ubuntu@sv-x:~$ sudo lsinitramfs /boot/initrd.img-4.4.0-178-generic | grep lp1868892
lib/systemd/network/lp1868892.link
ubuntu@sv-x:~$ sudo mv /etc/systemd/network /etc/systemd/network.abc
ubuntu@sv-x:~$ sudo ln -s network.abc /etc/systemd/network
ubuntu@sv-x:~$ sudo update-initramfs -u
update-initramfs: Generating /boot/initrd.img-4.4.0-178-generic
W: mdadm: /etc/mdadm/mdadm.conf defines no arrays.
ubuntu@sv-x:~$ sudo lsinitramfs /boot/initrd.img-4.4.0-178-generic | grep lp1868892
ubuntu@sv-x:~$

ubuntu@sv-x:~$ dpkg -l systemd|grep systemd
ii systemd 229-4ubuntu21.28 amd64 system and service manager
ubuntu@sv-x:/etc/initramfs-tools$ sudo update-initramfs -u
update-initramfs: Generating /boot/initrd.img-4.4.0-179-generic
W: mdadm: /etc/mdadm/mdadm.conf defines no arrays.
ubuntu@sv-x:/etc/initramfs-tools$ sudo lsinitramfs /boot/initrd.img-4.4.0-179-generic | grep lp1868892
lib/systemd/network/lp1868892.link

tags: added: verification-done-xenial
removed: verification-needed-xenial
Dan Streetman (ddstreet) wrote :

bionic:

ubuntu@sv-b:~$ dpkg -l udev|grep udev
ii udev 237-3ubuntu10.39 amd64 /dev/ and hotplug management daemon
ubuntu@sv-b:~$ sudo touch /etc/systemd/network/lp1868892.link
ubuntu@sv-b:~$ sudo update-initramfs -u
update-initramfs: Generating /boot/initrd.img-4.15.0-99-generic
ubuntu@sv-b:~$ sudo lsinitramfs /boot/initrd.img-4.15.0-99-generic | grep lp1868892
lib/systemd/network/lp1868892.link
ubuntu@sv-b:~$ sudo mv /etc/systemd/network /etc/systemd/network.abc
ubuntu@sv-b:~$ sudo ln -s network.abc /etc/systemd/network
ubuntu@sv-b:~$ sudo update-initramfs -u
update-initramfs: Generating /boot/initrd.img-4.15.0-99-generic
ubuntu@sv-b:~$ sudo lsinitramfs /boot/initrd.img-4.15.0-99-generic | grep lp1868892
ubuntu@sv-b:~$

ubuntu@sv-b:~$ dpkg -l udev |grep udev
ii udev 237-3ubuntu10.40 amd64 /dev/ and hotplug management daemon
ubuntu@sv-b:~$ sudo update-initramfs -u
update-initramfs: Generating /boot/initrd.img-4.15.0-100-generic
ubuntu@sv-b:~$ sudo lsinitramfs /boot/initrd.img-4.15.0-100-generic | grep lp1868892
lib/systemd/network/lp1868892.link

tags: added: verification-done-bionic
removed: verification-needed-bionic
Dan Streetman (ddstreet) wrote :

eoan:

ubuntu@sv-e:~$ dpkg -l udev|grep udev
ii udev 242-7ubuntu3.7 amd64 /dev/ and hotplug management daemon
ubuntu@sv-e:~$ sudo touch /etc/systemd/network/lp1868892.link
ubuntu@sv-e:~$ sudo update-initramfs -u
update-initramfs: Generating /boot/initrd.img-5.3.0-51-generic
ubuntu@sv-e:~$ sudo lsinitramfs /boot/initrd.img-5.3.0-51-generic | grep lp1868892
usr/lib/systemd/network/lp1868892.link
ubuntu@sv-e:~$ sudo mv /etc/systemd/network /etc/systemd/network.abc
ubuntu@sv-e:~$ sudo ln -s network.abc /etc/systemd/network
ubuntu@sv-e:~$ sudo update-initramfs -u
update-initramfs: Generating /boot/initrd.img-5.3.0-51-generic
ubuntu@sv-e:~$ sudo lsinitramfs /boot/initrd.img-5.3.0-51-generic | grep lp1868892
ubuntu@sv-e:~$

ubuntu@sv-e:~$ dpkg -l udev|grep udev
ii udev 242-7ubuntu3.8 amd64 /dev/ and hotplug management daemon
ubuntu@sv-e:~$ sudo update-initramfs -u
update-initramfs: Generating /boot/initrd.img-5.3.0-52-generic
ubuntu@sv-e:~$ sudo lsinitramfs /boot/initrd.img-5.3.0-52-generic | grep lp1868892
usr/lib/systemd/network/lp1868892.link

tags: added: verification-done verification-done-eoan
removed: verification-needed verification-needed-eoan
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package systemd - 245.5-2ubuntu1

---------------
systemd (245.5-2ubuntu1) groovy; urgency=medium

  * Merge to Ubuntu from Debian unstable
    - Dropped changes: none

systemd (245.5-2) unstable; urgency=medium

  * Cherry-pick various fixes from upstream master
    - network: add a flag to ignore gateway provided by DHCP server
    - userdb: when doing client-side NSS look-ups optionally avoid shadow
      look-ups
    - nss-systemd: don't synthesize root/nobody when iterating
    - core: make sure we don't get confused when setting TERM for a tty fd
    - core: make sure to restore the control command id, too
  * Install 60-block.rules in udev-udeb and initramfs-tools.
    The block device rules were split out from 60-persistent-storage.rules
    into its own rules file in v220. Those rules ensure that change events
    are emitted and the udev db is updated after metadata changes.
    Thanks to Pascal Hambourg (Closes: #958397)

systemd (245.5-1ubuntu1) groovy; urgency=medium

  * Merge to Ubuntu from Debian unstable
    - Dropped changes: none

systemd (245.5-1) unstable; urgency=medium

  [ Michael Biebl ]
  * New upstream version 245.5
  * Rebase patches

  [ Dan Streetman ]
  * Follow symlinks when finding link files to copy into initramfs.
    If the /{etc,lib}/systemd/network directory itself is a symlink, the find
    command will not actually find any of the files in the dir it links to.
    Use the find -L param to follow symlinks.
    (LP: #1868892)
  * Remove Ubuntu-specific ondemand.service.
    New processors handle scaling/throttling in internal firmware
    (e.g. intel_pstate), and do not require OS config.
    Additionally, nobody else does this, not even Debian.

 -- Balint Reczey <email address hidden> Tue, 28 Apr 2020 13:20:31 +0200

Changed in systemd (Ubuntu):
status: In Progress → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package systemd - 242-7ubuntu3.8

---------------
systemd (242-7ubuntu3.8) eoan; urgency=medium

  * d/t/logind: skip if nonexistent /sys/power/state (LP: #1862657)
  * d/p/lp1859862-network-Do-not-disable-IPv6-by-writing-to-sysctl.patch:
    - enable ipv6 when needed (LP: #1859862)
  * d/p/lp1858412-journalctl-allow-running-vacuum-on-remote-journals-t.patch:
    - allow vacuuming journal 'root' dir (LP: #1858412)
  * d/rules: use meson --print-errorlogs instead of cat testlog
    - (LP: #1870811)
  * d/p/lp1776654-test-Synchronize-journal-before-reading-from-it.patch:
    - sync journal before reading from it (LP: #1776654)
  * d/p/lp1837914-journal-do-not-trigger-assertion-when-journal_file_c.patch:
    - do not crash if NULL passted to journal destructor (LP: #1837914)
  * d/e/initramfs-tools/hooks/udev:
    - Follow symlinks when finding link files to copy into initramfs
      (LP: #1868892)

 -- Dan Streetman <email address hidden> Mon, 20 Apr 2020 09:44:51 -0400

Changed in systemd (Ubuntu Eoan):
status: Fix Committed → Fix Released

The verification of the Stable Release Update for systemd has completed successfully and the package is now being released to -updates. Subsequently, the Ubuntu Stable Release Updates Team is being unsubscribed and will not receive messages about this bug report. In the event that you encounter a regression using the package from -updates please report a new bug using ubuntu-bug and tag the bug report regression-update so we can easily find any regressions.

Launchpad Janitor (janitor) wrote :

This bug was fixed in the package systemd - 237-3ubuntu10.40

---------------
systemd (237-3ubuntu10.40) bionic; urgency=medium

  * d/t/logind: skip if nonexistent /sys/power/state (LP: #1862657)
  * d/p/lp1839290-Change-job-mode-of-manager-triggered-restarts-to-JOB.patch:
    - when restarting service after failure, replace existing queued jobs
      (LP: #1839290)
  * d/p/lp1867421-70-mouse.hwdb-Set-DPI-for-MS-Classic-IntelliMouse.patch:
    - fix resolution of IntelliMouse (LP: #1867421)
  * d/p/lp1858412-journalctl-allow-running-vacuum-on-remote-journals-t.patch:
    - allow vacuuming journal 'root' dir (LP: #1858412)
  * d/p/lp1862232/0001-network-add-more-log-messages-in-configuring-DHCP4-c.patch,
    d/p/lp1862232/0002-network-add-more-log-messages-in-configuring-DHCP6-c.patch,
    d/p/lp1862232/0003-network-also-check-that-Hostname-is-a-valid-DNS-doma.patch,
    d/p/lp1862232/0004-network-use-free_and_replace.patch,
    d/p/lp1862232/0005-network-DHCP-ignore-error-in-setting-hostname-when-i.patch,
    d/p/lp1862232/0006-man-mention-that-Hostname-for-DHCP-must-be-a-valid-D.patch,
    d/p/lp1862232/0007-resolve-fix-error-handling-of-dns_name_is_valid.patch:
    - do not fail network setup if hostname is not valid (LP: #1862232)
  * d/t/systemd-fsckd: Skip test on arm64 (LP: #1870194)
  * d/p/lp1870589-seccomp-rework-how-the-S-UG-ID-filter-is-installed.patch:
    - fix test-seccomp failure (LP: #1870589)
  * d/rules: use meson --print-errorlogs instead of cat testlog
    - (LP: #1870811)
  * d/p/lp1776654-test-Synchronize-journal-before-reading-from-it.patch:
    - sync journal before reading from it (LP: #1776654)
  * d/p/lp1837914-journal-do-not-trigger-assertion-when-journal_file_c.patch:
    - do not crash if NULL passted to journal destructor (LP: #1837914)
  * d/e/initramfs-tools/hooks/udev:
    - Follow symlinks when finding link files to copy into initramfs
      (LP: #1868892)

 -- Dan Streetman <email address hidden> Mon, 20 Apr 2020 10:12:49 -0400

Changed in systemd (Ubuntu Bionic):
status: Fix Committed → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package systemd - 229-4ubuntu21.28

---------------
systemd (229-4ubuntu21.28) xenial; urgency=medium

  * d/t/logind: skip if nonexistent /sys/power/state (LP: #1862657)
  * d/p/lp1839290-Change-job-mode-of-manager-triggered-restarts-to-JOB.patch:
    - when restarting service after failure, replace existing queued jobs
      (LP: #1839290)
  * d/t/storage:
    - fix buggy test (LP: #1831459)
    - without scsi_debug, skip test (LP: #1847816)
  * d/p/lp1867421-70-mouse.hwdb-Set-DPI-for-MS-Classic-IntelliMouse.patch:
    - fix resolution of IntelliMouse (LP: #1867421)
  * d/p/lp1858412-journalctl-allow-running-vacuum-on-remote-journals-t.patch:
    - allow vacuuming journal 'root' dir (LP: #1858412)
  * d/p/lp1862232-network-DHCP-ignore-error-in-setting-hostname-when-i.patch:
    - do not let invalid hostname break dhcpv4 (LP: #1862232)
  * d/t/systemd-fsckd: Skip test on arm64 (LP: #1870194)
  * d/p/lp1837914-journal-do-not-trigger-assertion-when-journal_file_c.patch:
    - do not crash if NULL passted to journal destructor (LP: #1837914)
  * d/e/initramfs-tools/hooks/udev:
    - Follow symlinks when finding link files to copy into initramfs
      (LP: #1868892)

 -- Dan Streetman <email address hidden> Mon, 20 Apr 2020 10:17:40 -0400

Changed in systemd (Ubuntu Xenial):
status: Fix Committed → Fix Released

Hello Jens, or anyone else affected,

Accepted systemd into focal-proposed. The package will build now and be available at https://launchpad.net/ubuntu/+source/systemd/245.4-4ubuntu3.1 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation on how to enable and use -proposed. Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested, what testing has been performed on the package and change the tag from verification-needed-focal to verification-done-focal. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed-focal. In either case, without details of your testing we will not be able to proceed.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance for helping!

N.B. The updated package will be released to -updates after the bug(s) fixed by this package have been verified and the package has been in -proposed for a minimum of 7 days.

Changed in systemd (Ubuntu Focal):
status: In Progress → Fix Committed
tags: added: verification-needed verification-needed-focal
removed: verification-done

All autopkgtests for the newly accepted systemd (245.4-4ubuntu3.1) for focal have finished running.
The following regressions have been reported in tests triggered by the package:

hddemux/unknown (armhf)
pyudev/unknown (armhf)
python-uinput/unknown (armhf)
prometheus/2.15.2+ds-2 (armhf, amd64, arm64, ppc64el, s390x)
gvfs/unknown (armhf)
indicator-session/unknown (armhf)
gpsd/unknown (armhf)
samba/unknown (armhf)
python-systemd/unknown (armhf)
golang-github-coreos-go-systemd/unknown (armhf)
pystemd/unknown (armhf)
umockdev/0.14.1-1 (armhf)
remctl/unknown (armhf)
icinga2/unknown (armhf)
gnome-desktop3/unknown (armhf)
munin/2.0.56-1ubuntu1 (arm64)
haproxy/unknown (armhf)
python-dbusmock/unknown (armhf)
gvfs/1.44.1-1ubuntu1 (arm64)

Please visit the excuses page listed below and investigate the failures, proceeding afterwards as per the StableReleaseUpdates policy regarding autopkgtest regressions [1].

https://people.canonical.com/~ubuntu-archive/proposed-migration/focal/update_excuses.html#systemd

[1] https://wiki.ubuntu.com/StableReleaseUpdates#Autopkgtest_Regressions

Thank you!

Dan Streetman (ddstreet) wrote :

focal:

ubuntu@lp1868892-f:~$ dpkg -l systemd|grep systemd
ii systemd 245.4-4ubuntu3 amd64 system and service manager
ubuntu@lp1868892-f:~$ sudo touch /etc/systemd/network/lp1868892.link
ubuntu@lp1868892-f:~$ sudo update-initramfs -u
update-initramfs: Generating /boot/initrd.img-5.4.0-29-generic
ubuntu@lp1868892-f:~$ sudo lsinitramfs /boot/initrd.img-5.4.0-29-generic | grep lp1868892
usr/lib/systemd/network/lp1868892.link
ubuntu@lp1868892-f:~$ sudo mv /etc/systemd/network /etc/systemd/network.abc
ubuntu@lp1868892-f:~$ sudo ln -s network.abc /etc/systemd/network
ubuntu@lp1868892-f:~$ sudo update-initramfs -u
update-initramfs: Generating /boot/initrd.img-5.4.0-29-generic
ubuntu@lp1868892-f:~$ sudo lsinitramfs /boot/initrd.img-5.4.0-29-generic | grep lp1868892
ubuntu@lp1868892-f:~$

ubuntu@lp1868892-f:~$ sudo rm /etc/systemd/network
ubuntu@lp1868892-f:~$ sudo mv /etc/systemd/network.abc /etc/systemd/network
ubuntu@lp1868892-f:~$ sudo update-initramfs -u
update-initramfs: Generating /boot/initrd.img-5.4.0-31-generic
ubuntu@lp1868892-f:~$ sudo lsinitramfs /boot/initrd.img-5.4.0-31-generic | grep lp1868892
usr/lib/systemd/network/lp1868892.link

ubuntu@lp1868892-f:~$ dpkg -l systemd|grep systemd
ii systemd 245.4-4ubuntu3.1 amd64 system and service manager
ubuntu@lp1868892-f:~$ sudo touch /etc/systemd/network/lp1868892.link
ubuntu@lp1868892-f:~$ sudo update-initramfs -u
update-initramfs: Generating /boot/initrd.img-5.4.0-31-generic
ubuntu@lp1868892-f:~$ sudo lsinitramfs /boot/initrd.img-5.4.0-31-generic | grep lp1868892
usr/lib/systemd/network/lp1868892.link
ubuntu@lp1868892-f:~$ sudo mv /etc/systemd/network /etc/systemd/network.abc
ubuntu@lp1868892-f:~$ sudo ln -s network.abc /etc/systemd/network
ubuntu@lp1868892-f:~$ sudo update-initramfs -u
update-initramfs: Generating /boot/initrd.img-5.4.0-31-generic
ubuntu@lp1868892-f:~$ sudo lsinitramfs /boot/initrd.img-5.4.0-31-generic | grep lp1868892
usr/lib/systemd/network/lp1868892.link

tags: added: verification-done verification-done-focal
removed: verification-needed verification-needed-focal
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package systemd - 245.4-4ubuntu3.1

---------------
systemd (245.4-4ubuntu3.1) focal; urgency=medium

  * d/p/lp1867375/0001-network-add-a-flag-to-ignore-gateway-provided-by-DHC.patch,
    d/p/lp1867375/0002-test-network-add-a-test-case-for-DHCPv4.UseGateway-n.patch,
    d/p/lp1867375/0003-network-change-UseGateway-default-to-UseRoutes-setti.patch,
    d/p/lp1867375/0004-test-modify-add-tests-for-UseRoutes-and-UseGateway-c.patch,
    d/p/lp1867375/0005-network-honor-SetDNSRoutes-even-if-UseGateway-False.patch,
    d/p/lp1867375/0006-test-verify-RoutesToDNS-is-independent-of-UseGateway.patch:
    - Add UseGateway= parameter and default to value of UseRoutes, to restore
      backwards compatibility with old UseRoutes= behavior (LP: #1867375)
  * d/p/lp1860926-network-Change-IgnoreCarrierLoss-default-to-value-of.patch:
    - default ignore_carrier_loss to value of configure_without_carrier,
      so carrier drop during configuration doesn't break networking
      (LP: #1860926)
   * d/e/initramfs-tools/hooks/udev:
     - Follow symlinks when finding link files to copy into initramfs
       (LP: #1868892)
   * d/p/lp1873607/0001-core-some-minor-clean-ups-modernizations.patch,
     d/p/lp1873607/0002-core-make-sure-to-restore-the-control-command-id-too.patch:
     - Avoid segfault during serialization (LP: #1873607)

 -- Dan Streetman <email address hidden> Thu, 07 May 2020 09:21:22 -0400

Changed in systemd (Ubuntu Focal):
status: Fix Committed → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers